Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(287)

Issue 29509592: Issue 5267 - Add support of 64 bit android (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 5 months ago by sergei
Modified:
2 years, 5 months ago
Reviewers:
hub, anton, René Jeschke
CC:
Felix Dahlke, diegocarloslima
Base URL:
https://github.com/adblockplus/libadblockplus.git
Visibility:
Public.

Patch Set 1 #

Total comments: 5

Patch Set 2 : address comments #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -2 lines) Patch
M Makefile View 1 4 chunks +12 lines, -1 line 2 comments Download
M README.md View 1 1 chunk +4 lines, -1 line 0 comments Download

Messages

Total messages: 6
sergei
2 years, 5 months ago (2017-08-08 13:00:59 UTC) #1
hub
https://codereview.adblockplus.org/29509592/diff/29509593/Makefile File Makefile (right): https://codereview.adblockplus.org/29509592/diff/29509593/Makefile#newcode86 Makefile:86: ANDROID_ARCH="arm" $(MAKE) android_multi Shouldn't we add a android_arm64 target ...
2 years, 5 months ago (2017-08-08 13:50:01 UTC) #2
sergei
https://codereview.adblockplus.org/29509592/diff/29509593/Makefile File Makefile (right): https://codereview.adblockplus.org/29509592/diff/29509593/Makefile#newcode86 Makefile:86: ANDROID_ARCH="arm" $(MAKE) android_multi On 2017/08/08 13:50:01, hub wrote: > ...
2 years, 5 months ago (2017-08-08 15:47:32 UTC) #3
hub
LGTM
2 years, 5 months ago (2017-08-08 15:56:14 UTC) #4
anton
https://codereview.adblockplus.org/29509592/diff/29509655/Makefile File Makefile (right): https://codereview.adblockplus.org/29509592/diff/29509655/Makefile#newcode127 Makefile:127: python ./make_gyp_wrapper.py --depth=. -f make-android -Ilibadblockplus.gypi --generator-output=build -Gandroid_ndk_version=r9 libadblockplus.gyp ...
2 years, 5 months ago (2017-08-09 07:01:04 UTC) #5
sergei
2 years, 5 months ago (2017-08-10 13:45:50 UTC) #6
Message was sent while issue was closed.
https://codereview.adblockplus.org/29509592/diff/29509593/Makefile
File Makefile (right):

https://codereview.adblockplus.org/29509592/diff/29509593/Makefile#newcode121
Makefile:121: python ./make_gyp_wrapper.py --depth=. -f make-android
-Ilibadblockplus.gypi --generator-output=build -Gandroid_ndk_version=r9
libadblockplus.gyp
On 2017/08/08 15:47:32, sergei wrote:
> On 2017/08/08 13:50:00, hub wrote:
> > I'm not sure how relevant that is, but ndk version r9 doesn't have aarch64
> > support. You need r21. So I would set android_ndk_version to r21 if we build
> on
> > aarch64.
> 
> Good catch.
> 
> It's for gyp and it seems the value is not used, it merely checks whether it's
> set or not. I actually think that it should be rather 12b because we are using
> NDK 12b, but it's another codereview. BTW, according to
> https://developer.android.com/ndk/guides/application_mk.html the ABI is
> supported starting from r7, though I doubt, because according to
> https://developer.android.com/ndk/downloads/revision_history.html it has been
> added only in NDK 10.
> 
> I think you are actually talking about APP_PLATFORM. It's the version of
native
> libraries and corresponding headers the code is being built with, and indeed
> arch-arm64 appears only for the platform starting with the 21st. I have added
> it.

See https://codereview.adblockplus.org/29511621/

https://codereview.adblockplus.org/29509592/diff/29509655/Makefile
File Makefile (right):

https://codereview.adblockplus.org/29509592/diff/29509655/Makefile#newcode127
Makefile:127: python ./make_gyp_wrapper.py --depth=. -f make-android
-Ilibadblockplus.gypi --generator-output=build -Gandroid_ndk_version=r9
libadblockplus.gyp
On 2017/08/09 07:01:04, anton wrote:
> I can see it's closed but it looks strange : ndk 12b at least is required (and
> actually used) but 9 is passed

Done in https://codereview.adblockplus.org/29511621/
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5